Bug 208007 - Review Request: perl-Alien-wxWidgets - Building, finding and using wxWidgets binaries
Review Request: perl-Alien-wxWidgets - Building, finding and using wxWidgets ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 208009
  Show dependency treegraph
 
Reported: 2006-09-25 15:49 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 14:40:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-09-25 15:49:52 EDT
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Alien-wxWidgets.spec
SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Alien-wxWidgets-0.21-1.src.rpm

Description: 
"Alien::wxWidgets" can be used to detect and get configuration
settings from an installed wxWidgets.

Note: 
A requirement for perl-PPI-Tester
(perl-Alien-wxWidgets -> perl-Wx -> perl-PPI-Tester)
Comment 1 Jason Tibbitts 2006-09-25 22:15:36 EDT
The build does complain about many libraries (which seem to be wxwidgets
components) not being found but this seems to have no effect on that resulting
package.

* source files match upstream:
   6975385d6e4d4d58c5d589c2a7077d23  Alien-wxWidgets-0.21.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Alien::wxWidgets) = 0.21
   perl(Alien::wxWidgets::Config::gtk2_2_6_3_uni_gcc_3_4)
   perl(Alien::wxWidgets::Utility)
   perl-Alien-wxWidgets = 0.21-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Alien::wxWidgets::Utility)
   perl(Carp)
   perl(Config)
   perl(Module::Pluggable)
   perl(base)
   perl(strict)
* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=17,  0 wallclock secs ( 0.11 cusr +  0.06 csys =  0.17 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-09-28 08:48:00 EDT
Why perl-Wx fails to find perl-Alien-wxWidgets
----------------------------------------------

This package is strange: it installs itself in arched directories even though
not one of its files is binary (I forced the perl_vendorarch in the %files
section when I first started packaging this in the past and forgot it). 

The current package (tagged as noarch) in the repos has the following content:
------
$ rpm -qpl extras/5/i386/perl-Alien-wxWidgets-0.21-1.fc5.noarch.rpm
/usr/lib/perl5/vendor_perl/5.8.8/ppc-linux-thread-multi/Alien
/usr/lib/perl5/vendor_perl/5.8.8/ppc-linux-thread-multi/Alien/wxWidgets
/usr/lib/perl5/vendor_perl/5.8.8/ppc-linux-thread-multi/Alien/wxWidgets.pm
/usr/lib/perl5/vendor_perl/5.8.8/ppc-linux-thread-multi/Alien/wxWidgets/Config
/usr/lib/perl5/vendor_perl/5.8.8/ppc-linux-thread-multi/Alien/wxWidgets/Config/gtk2_2_6_3_uni_gcc_3_4.pm
/usr/lib/perl5/vendor_perl/5.8.8/ppc-linux-thread-multi/Alien/wxWidgets/Utility.pm
/usr/share/doc/perl-Alien-wxWidgets-0.21
/usr/share/doc/perl-Alien-wxWidgets-0.21/Changes
/usr/share/man/man3/Alien::wxWidgets.3pm.gz
/usr/share/man/man3/Alien::wxWidgets::Utility.3pm.gz
------


Dropping the line

   BuildArch:      noarch

from the specfile solves the problem but rpmlint will start complaining

   $ rpmlint perl-Alien-wxWidgets-0.21-2.i386.rpm
   E: perl-Alien-wxWidgets no-binary 

Comment 3 Jose Pedro Oliveira 2006-09-28 14:40:26 EDT
New release build for FC-5 and devel.

Note You need to log in before you can comment on or make changes to this bug.